HTML element that represents the entry point

### Hierarchy

- HTMLElement
  - JsonFormsElement

## Index

### Constructors

- constructor

### Properties

- ATTRIBUTE_NODE
- CDATA_SECTION_NODE
- COMMENT_NODE
- DOCUMENT_FRAGMENT_NODE
- DOCUMENT_NODE
- DOCUMENT_POSITION_CONTAINED_BY
- DOCUMENT_POSITION_CONTAINS
- DOCUMENT_POSITION_DISCONNECTED
- DOCUMENT_POSITION_FOLLOWING
- DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC
- DOCUMENT_POSITION_PRECEDING
- DOCUMENT_TYPE_NODE
- ELEMENT_NODE
- ENTITY_NODE
- ENTITY_REFERENCE_NODE
- InnerComponent
- NOTATION_NODE
- PROCESSING_INSTRUCTION_NODE
- TEXT_NODE
- _store
- accessKey
- allowDynamicUpdate
- assignedSlot
- attributes
- baseURI
- childElementCount
- childNodes
- children
- classList
- className
- clientHeight
- clientLeft
- clientTop
- clientWidth
- contentEditable
- dataset
- dir
- draggable
- firstChild
- firstElementChild
- hidden
- hideFocus
- id
- innerComponentParameters
- innerHTML
- innerText
- isConnected
- isContentEditable
- lang
- lastChild
- lastElementChild
- localName
- msContentZoomFactor
- msRegionOverflow
- namespaceURI
- nextElementSibling
- nextSibling
- nodeName
- nodeType
- nodeValue
- offsetHeight
- offsetLeft
- offsetParent
- offsetTop
- offsetWidth
- onabort
- onactivate
- onanimationcancel
- onanimationend
- onanimationiteration
- onanimationstart
- onariarequest
- onbeforeactivate
- onbeforecopy
- onbeforecut
- onbeforedeactivate
- onbeforepaste
- onblur
- oncanplay
- oncanplaythrough
- onchange
- onclick
- oncommand
- oncontextmenu
- oncopy
- oncuechange
- oncut
- ondblclick
- ondeactivate
- ondrag
- ondragend
- ondragenter
- ondragleave
- ondragover
- ondragstart
- ondrop
- ondurationchange
- onemptied
- onended
- onerror
- onfocus
- ongotpointercapture
- oninput
- oninvalid
- onkeydown
- onkeypress
- onkeyup
- onload
- onloadeddata
- onloadedmetadata
- onloadstart
- onlostpointercapture
- onmousedown
- onmouseenter
- onmouseleave
- onmousemove
- onmouseout
- onmouseover
- onmouseup
- onmousewheel
- onmscontentzoom
- onmsgesturechange
- onmsgesturedoubletap
- onmsgestureend
- onmsgesturehold
- onmsgesturestart
- onmsgesturetap
- onmsgotpointercapture
- onmsinertiastart
- onmslostpointercapture
- onmsmanipulationstatechanged
- onmspointercancel
- onmspointerdown
- onmspointerenter
- onmspointerleave
- onmspointermove
- onmspointerout
- onmspointerover
- onmspointerup
- onpaste
- onpause
- onplay
- onplaying
- onpointercancel
- onpointerdown
- onpointerenter
- onpointerleave
- onpointermove
- onpointerout
- onpointerover
- onpointerup
- onprogress
- onratechange
- onreset
- onscroll
- onseeked
- onseeking
- onselect
- onselectstart
- onstalled
- onsubmit
- onsuspend
- ontimeupdate
- ontouchcancel
- ontouchend
- ontouchmove
- ontouchstart
- ontransitioncancel
- ontransitionend
- ontransitionrun
- ontransitionstart
- onvolumechange
- onwaiting
- onwebkitfullscreenchange
- onwebkitfullscreenerror
- onwheel
- outerHTML
- outerText
- ownerDocument
- parentElement
- parentNode
- prefix
- previousElementSibling
- previousSibling
- scrollHeight
- scrollLeft
- scrollTop
- scrollWidth
- shadowRoot
- slot
- spellcheck
- style
- tabIndex
- tagName
- textContent
- title
- HTMLElement

### Accessors

- store

### Methods

- addEventListener
- animate
- appendChild
- attachShadow
- blur
- click
- cloneNode
- closest
- compareDocumentPosition
- connectedCallback
- contains
- dispatchEvent
- dragDrop
- focus
- getAnimations
- getAttribute
- getAttributeNS
- getAttributeNode
- getAttributeNodeNS
- getBoundingClientRect
- getClientRects
- getElementsByClassName
- getElementsByTagName
- getElementsByTagNameNS
- hasAttribute
- hasAttributeNS
- hasAttributes
- hasChildNodes
- hasPointerCapture
- insertAdjacentElement
- insertAdjacentHTML
- insertAdjacentText
- insertBefore
- isDefaultNamespace
- isEqualNode
- isSameNode
- lookupNamespaceURI
- lookupPrefix
- matches
- msGetInputContext
- msGetRegionContent
- msGetUntransformedBounds
- msMatchesSelector
- msReleasePointerCapture
- msSetPointerCapture
- msZoomTo
- normalize
- querySelector
- querySelectorAll
- releasePointerCapture
- remove
- removeAttribute
- removeAttributeNS
- removeAttributeNode
- removeChild
- removeEventListener
- render
- replaceChild
- requestFullscreen
- requestPointerLock
- scroll
- scrollBy
- scrollIntoView
- scrollTo
- setAttribute
- setAttributeNS
- setAttributeNode
- setAttributeNodeNS
- setInnerComponent
- setPointerCapture
- webkitMatchesSelector
- webkitRequestFullScreen
- webkitRequestFullscreen

## Constructors

### constructor

- new JsonFormsElement(): JsonFormsElement

- - Defined in JsonFormsElement.tsx:78

  Constructor.

  #### Returns JsonFormsElement

## Properties

### ATTRIBUTE_NODE

ATTRIBUTE_NODE: number

Inherited from Node.ATTRIBUTE_NODE

Overrides Node.ATTRIBUTE_NODE

### CDATA_SECTION_NODE

CDATA_SECTION_NODE: number

Inherited from Node.CDATA_SECTION_NODE

Overrides Node.CDATA_SECTION_NODE

### COMMENT_NODE

COMMENT_NODE: number

Inherited from Node.COMMENT_NODE

Overrides Node.COMMENT_NODE

### DOCUMENT_FRAGMENT_NODE

DOCUMENT_FRAGMENT_NODE: number

Inherited from Node.DOCUMENT_FRAGMENT_NODE

Overrides Node.DOCUMENT_FRAGMENT_NODE

### DOCUMENT_NODE

DOCUMENT_NODE: number

Inherited from Node.DOCUMENT_NODE

Overrides Node.DOCUMENT_NODE

### DOCUMENT_POSITION_CONTAINED_BY

DOCUMENT_POSITION_CONTAINED_BY: number

Inherited from Node.DOCUMENT_POSITION_CONTAINED_BY

Overrides Node.DOCUMENT_POSITION_CONTAINED_BY

### DOCUMENT_POSITION_CONTAINS

DOCUMENT_POSITION_CONTAINS: number

Inherited from Node.DOCUMENT_POSITION_CONTAINS

Overrides Node.DOCUMENT_POSITION_CONTAINS

### DOCUMENT_POSITION_DISCONNECTED

DOCUMENT_POSITION_DISCONNECTED: number

Inherited from Node.DOCUMENT_POSITION_DISCONNECTED

Overrides Node.DOCUMENT_POSITION_DISCONNECTED

### DOCUMENT_POSITION_FOLLOWING

DOCUMENT_POSITION_FOLLOWING: number

Inherited from Node.DOCUMENT_POSITION_FOLLOWING

Overrides Node.DOCUMENT_POSITION_FOLLOWING

### DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC

DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC: number

Inherited from Node.DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC

Overrides Node.DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC

### DOCUMENT_POSITION_PRECEDING

DOCUMENT_POSITION_PRECEDING: number

Inherited from Node.DOCUMENT_POSITION_PRECEDING

Overrides Node.DOCUMENT_POSITION_PRECEDING

### DOCUMENT_TYPE_NODE

DOCUMENT_TYPE_NODE: number

Inherited from Node.DOCUMENT_TYPE_NODE

Overrides Node.DOCUMENT_TYPE_NODE

### ELEMENT_NODE

ELEMENT_NODE: number

Inherited from Node.ELEMENT_NODE

Overrides Node.ELEMENT_NODE

### ENTITY_NODE

ENTITY_NODE: number

Inherited from Node.ENTITY_NODE

Overrides Node.ENTITY_NODE

### ENTITY_REFERENCE_NODE

ENTITY_REFERENCE_NODE: number

Inherited from Node.ENTITY_REFERENCE_NODE

Overrides Node.ENTITY_REFERENCE_NODE

### Private InnerComponent

InnerComponent: any = JsonForms

- Defined in JsonFormsElement.tsx:75

### NOTATION_NODE

NOTATION_NODE: number

Inherited from Node.NOTATION_NODE

Overrides Node.NOTATION_NODE

### PROCESSING_INSTRUCTION_NODE

PROCESSING_INSTRUCTION_NODE: number

Inherited from Node.PROCESSING_INSTRUCTION_NODE

Overrides Node.PROCESSING_INSTRUCTION_NODE

### TEXT_NODE

TEXT_NODE: number

Inherited from Node.TEXT_NODE

Overrides Node.TEXT_NODE

### Private _store

_store: JsonFormsStore

- Defined in JsonFormsElement.tsx:78

### accessKey

accessKey: string

Inherited from HTMLElement.accessKey

### Private allowDynamicUpdate

allowDynamicUpdate: boolean = false

- Defined in JsonFormsElement.tsx:77

### assignedSlot

assignedSlot: HTMLSlotElement | null

Inherited from Element.assignedSlot

Overrides Element.assignedSlot

### attributes

attributes: NamedNodeMap

Inherited from Element.attributes

Overrides Element.attributes

### baseURI

baseURI: string | null

Inherited from Node.baseURI

Overrides Node.baseURI

### childElementCount

childElementCount: number

Inherited from ElementTraversal.childElementCount

Overrides ParentNode.childElementCount

### childNodes

childNodes: NodeListOf<Node & ChildNode>

Inherited from Node.childNodes

Overrides Node.childNodes

### children

children: HTMLCollection

Inherited from ParentNode.children

Overrides ParentNode.children

### classList

classList: DOMTokenList

Inherited from Element.classList

Overrides Element.classList

### className

className: string

Inherited from Element.className

Overrides Element.className

### clientHeight

clientHeight: number

Inherited from Element.clientHeight

Overrides Element.clientHeight

### clientLeft

clientLeft: number

Inherited from Element.clientLeft

Overrides Element.clientLeft

### clientTop

clientTop: number

Inherited from Element.clientTop

Overrides Element.clientTop

### clientWidth

clientWidth: number

Inherited from Element.clientWidth

Overrides Element.clientWidth

### contentEditable

contentEditable: string

Inherited from HTMLElement.contentEditable

### dataset

dataset: DOMStringMap

Inherited from HTMLElement.dataset

### dir

dir: string

Inherited from HTMLElement.dir

### draggable

draggable: boolean

Inherited from HTMLElement.draggable

### firstChild

firstChild: Node | null

Inherited from Node.firstChild

Overrides Node.firstChild

### firstElementChild

firstElementChild: Element | null

Inherited from ElementTraversal.firstElementChild

Overrides ParentNode.firstElementChild

### hidden

hidden: boolean

Inherited from HTMLElement.hidden

### hideFocus

hideFocus: boolean

Inherited from HTMLElement.hideFocus

### id

id: string

Inherited from Element.id

Overrides Element.id

### Private innerComponentParameters

innerComponentParameters: any

- Defined in JsonFormsElement.tsx:76

### innerHTML

innerHTML: string

Inherited from Element.innerHTML

Overrides Element.innerHTML

### innerText

innerText: string

Inherited from HTMLElement.innerText

### isConnected

isConnected: boolean

Inherited from Node.isConnected

Overrides Node.isConnected

### isContentEditable

isContentEditable: boolean

Inherited from HTMLElement.isContentEditable

### lang

lang: string

Inherited from HTMLElement.lang

### lastChild

lastChild: Node | null

Inherited from Node.lastChild

Overrides Node.lastChild

### lastElementChild

lastElementChild: Element | null

Inherited from ElementTraversal.lastElementChild

Overrides ParentNode.lastElementChild

### localName

localName: string | null

Inherited from Node.localName

Overrides Node.localName

### msContentZoomFactor

msContentZoomFactor: number

Inherited from Element.msContentZoomFactor

Overrides Element.msContentZoomFactor

### msRegionOverflow

msRegionOverflow: string

Inherited from Element.msRegionOverflow

Overrides Element.msRegionOverflow

### namespaceURI

namespaceURI: string | null

Inherited from Node.namespaceURI

Overrides Node.namespaceURI

### nextElementSibling

nextElementSibling: Element | null

Inherited from ElementTraversal.nextElementSibling

Overrides ElementTraversal.nextElementSibling

### nextSibling

nextSibling: Node | null

Inherited from Node.nextSibling

Overrides Node.nextSibling

### nodeName

nodeName: string

Inherited from Node.nodeName

Overrides Node.nodeName

### nodeType

nodeType: number

Inherited from Node.nodeType

Overrides Node.nodeType

### nodeValue

nodeValue: string | null

Inherited from Node.nodeValue

Overrides Node.nodeValue

### offsetHeight

offsetHeight: number

Inherited from HTMLElement.offsetHeight

### offsetLeft

offsetLeft: number

Inherited from HTMLElement.offsetLeft

### offsetParent

offsetParent: Element

Inherited from HTMLElement.offsetParent

### offsetTop

offsetTop: number

Inherited from HTMLElement.offsetTop

### offsetWidth

offsetWidth: number

Inherited from HTMLElement.offsetWidth

### onabort

onabort: function | null

Inherited from HTMLElement.onabort

### onactivate

onactivate: function | null

Inherited from HTMLElement.onactivate

### onanimationcancel

onanimationcancel: function | null

Inherited from GlobalEventHandlers.onanimationcancel

Overrides GlobalEventHandlers.onanimationcancel

### onanimationend

onanimationend: function | null

Inherited from GlobalEventHandlers.onanimationend

Overrides GlobalEventHandlers.onanimationend

### onanimationiteration

onanimationiteration: function | null

Inherited from GlobalEventHandlers.onanimationiteration

Overrides GlobalEventHandlers.onanimationiteration

### onanimationstart

onanimationstart: function | null

Inherited from GlobalEventHandlers.onanimationstart

Overrides GlobalEventHandlers.onanimationstart

### onariarequest

onariarequest: function | null

Inherited from Element.onariarequest

Overrides Element.onariarequest

### onbeforeactivate

onbeforeactivate: function | null

Inherited from HTMLElement.onbeforeactivate

### onbeforecopy

onbeforecopy: function | null

Inherited from HTMLElement.onbeforecopy

### onbeforecut

onbeforecut: function | null

Inherited from HTMLElement.onbeforecut

### onbeforedeactivate

onbeforedeactivate: function | null

Inherited from HTMLElement.onbeforedeactivate

### onbeforepaste

onbeforepaste: function | null

Inherited from HTMLElement.onbeforepaste

### onblur

onblur: function | null

Inherited from HTMLElement.onblur

### oncanplay

oncanplay: function | null

Inherited from HTMLElement.oncanplay

### oncanplaythrough

oncanplaythrough: function | null

Inherited from HTMLElement.oncanplaythrough

### onchange

onchange: function | null

Inherited from HTMLElement.onchange

### onclick

onclick: function | null

Inherited from HTMLElement.onclick

### oncommand

oncommand: function | null

Inherited from Element.oncommand

Overrides Element.oncommand

### oncontextmenu

oncontextmenu: function | null

Inherited from HTMLElement.oncontextmenu

### oncopy

oncopy: function | null

Inherited from HTMLElement.oncopy

### oncuechange

oncuechange: function | null

Inherited from HTMLElement.oncuechange

### oncut

oncut: function | null

Inherited from HTMLElement.oncut

### ondblclick

ondblclick: function | null

Inherited from HTMLElement.ondblclick

### ondeactivate

ondeactivate: function | null

Inherited from HTMLElement.ondeactivate

### ondrag

ondrag: function | null

Inherited from HTMLElement.ondrag

### ondragend

ondragend: function | null

Inherited from HTMLElement.ondragend

### ondragenter

ondragenter: function | null

Inherited from HTMLElement.ondragenter

### ondragleave

ondragleave: function | null

Inherited from HTMLElement.ondragleave

### ondragover

ondragover: function | null

Inherited from HTMLElement.ondragover

### ondragstart

ondragstart: function | null

Inherited from HTMLElement.ondragstart

### ondrop

ondrop: function | null

Inherited from HTMLElement.ondrop

### ondurationchange

ondurationchange: function | null

Inherited from HTMLElement.ondurationchange

### onemptied

onemptied: function | null

Inherited from HTMLElement.onemptied

### onended

onended: function | null

Inherited from HTMLElement.onended

### onerror

onerror: function | null

Inherited from HTMLElement.onerror

### onfocus

onfocus: function | null

Inherited from HTMLElement.onfocus

### ongotpointercapture

ongotpointercapture: function | null

Inherited from GlobalEventHandlers.ongotpointercapture

Overrides GlobalEventHandlers.ongotpointercapture

### oninput

oninput: function | null

Inherited from HTMLElement.oninput

### oninvalid

oninvalid: function | null

Inherited from HTMLElement.oninvalid

### onkeydown

onkeydown: function | null

Inherited from HTMLElement.onkeydown

### onkeypress

onkeypress: function | null

Inherited from HTMLElement.onkeypress

### onkeyup

onkeyup: function | null

Inherited from HTMLElement.onkeyup

### onload

onload: function | null

Inherited from HTMLElement.onload

### onloadeddata

onloadeddata: function | null

Inherited from HTMLElement.onloadeddata

### onloadedmetadata

onloadedmetadata: function | null

Inherited from HTMLElement.onloadedmetadata

### onloadstart

onloadstart: function | null

Inherited from HTMLElement.onloadstart

### onlostpointercapture

onlostpointercapture: function | null

Inherited from GlobalEventHandlers.onlostpointercapture

Overrides GlobalEventHandlers.onlostpointercapture

### onmousedown

onmousedown: function | null

Inherited from HTMLElement.onmousedown

### onmouseenter

onmouseenter: function | null

Inherited from HTMLElement.onmouseenter

### onmouseleave

onmouseleave: function | null

Inherited from HTMLElement.onmouseleave

### onmousemove

onmousemove: function | null

Inherited from HTMLElement.onmousemove

### onmouseout

onmouseout: function | null

Inherited from HTMLElement.onmouseout

### onmouseover

onmouseover: function | null

Inherited from HTMLElement.onmouseover

### onmouseup

onmouseup: function | null

Inherited from HTMLElement.onmouseup

### onmousewheel

onmousewheel: function | null

Inherited from HTMLElement.onmousewheel

### onmscontentzoom

onmscontentzoom: function | null

Inherited from HTMLElement.onmscontentzoom

### onmsgesturechange

onmsgesturechange: function | null

Inherited from Element.onmsgesturechange

Overrides Element.onmsgesturechange

### onmsgesturedoubletap

onmsgesturedoubletap: function | null

Inherited from Element.onmsgesturedoubletap

Overrides Element.onmsgesturedoubletap

### onmsgestureend

onmsgestureend: function | null

Inherited from Element.onmsgestureend

Overrides Element.onmsgestureend

### onmsgesturehold

onmsgesturehold: function | null

Inherited from Element.onmsgesturehold

Overrides Element.onmsgesturehold

### onmsgesturestart

onmsgesturestart: function | null

Inherited from Element.onmsgesturestart

Overrides Element.onmsgesturestart

### onmsgesturetap

onmsgesturetap: function | null

Inherited from Element.onmsgesturetap

Overrides Element.onmsgesturetap

### onmsgotpointercapture

onmsgotpointercapture: function | null

Inherited from Element.onmsgotpointercapture

Overrides Element.onmsgotpointercapture

### onmsinertiastart

onmsinertiastart: function | null

Inherited from Element.onmsinertiastart

Overrides Element.onmsinertiastart

### onmslostpointercapture

onmslostpointercapture: function | null

Inherited from Element.onmslostpointercapture

Overrides Element.onmslostpointercapture

### onmsmanipulationstatechanged

onmsmanipulationstatechanged: function | null

Inherited from HTMLElement.onmsmanipulationstatechanged

### onmspointercancel

onmspointercancel: function | null

Inherited from Element.onmspointercancel

Overrides Element.onmspointercancel

### onmspointerdown

onmspointerdown: function | null

Inherited from Element.onmspointerdown

Overrides Element.onmspointerdown

### onmspointerenter

onmspointerenter: function | null

Inherited from Element.onmspointerenter

Overrides Element.onmspointerenter

### onmspointerleave

onmspointerleave: function | null

Inherited from Element.onmspointerleave

Overrides Element.onmspointerleave

### onmspointermove

onmspointermove: function | null

Inherited from Element.onmspointermove

Overrides Element.onmspointermove

### onmspointerout

onmspointerout: function | null

Inherited from Element.onmspointerout

Overrides Element.onmspointerout

### onmspointerover

onmspointerover: function | null

Inherited from Element.onmspointerover

Overrides Element.onmspointerover

### onmspointerup

onmspointerup: function | null

Inherited from Element.onmspointerup

Overrides Element.onmspointerup

### onpaste

onpaste: function | null

Inherited from HTMLElement.onpaste

### onpause

onpause: function | null

Inherited from HTMLElement.onpause

### onplay

onplay: function | null

Inherited from HTMLElement.onplay

### onplaying

onplaying: function | null

Inherited from HTMLElement.onplaying

### onpointercancel

onpointercancel: function | null

Inherited from GlobalEventHandlers.onpointercancel

Overrides GlobalEventHandlers.onpointercancel

### onpointerdown

onpointerdown: function | null

Inherited from GlobalEventHandlers.onpointerdown

Overrides GlobalEventHandlers.onpointerdown

### onpointerenter

onpointerenter: function | null

Inherited from GlobalEventHandlers.onpointerenter

Overrides GlobalEventHandlers.onpointerenter

### onpointerleave

onpointerleave: function | null

Inherited from GlobalEventHandlers.onpointerleave

Overrides GlobalEventHandlers.onpointerleave

### onpointermove

onpointermove: function | null

Inherited from GlobalEventHandlers.onpointermove

Overrides GlobalEventHandlers.onpointermove

### onpointerout

onpointerout: function | null

Inherited from GlobalEventHandlers.onpointerout

Overrides GlobalEventHandlers.onpointerout

### onpointerover

onpointerover: function | null

Inherited from GlobalEventHandlers.onpointerover

Overrides GlobalEventHandlers.onpointerover

### onpointerup

onpointerup: function | null

Inherited from GlobalEventHandlers.onpointerup

Overrides GlobalEventHandlers.onpointerup

### onprogress

onprogress: function | null

Inherited from HTMLElement.onprogress

### onratechange

onratechange: function | null

Inherited from HTMLElement.onratechange

### onreset

onreset: function | null

Inherited from HTMLElement.onreset

### onscroll

onscroll: function | null

Inherited from HTMLElement.onscroll

### onseeked

onseeked: function | null

Inherited from HTMLElement.onseeked

### onseeking

onseeking: function | null

Inherited from HTMLElement.onseeking

### onselect

onselect: function | null

Inherited from HTMLElement.onselect

### onselectstart

onselectstart: function | null

Inherited from HTMLElement.onselectstart

### onstalled

onstalled: function | null

Inherited from HTMLElement.onstalled

### onsubmit

onsubmit: function | null

Inherited from HTMLElement.onsubmit

### onsuspend

onsuspend: function | null

Inherited from HTMLElement.onsuspend

### ontimeupdate

ontimeupdate: function | null

Inherited from HTMLElement.ontimeupdate

### ontouchcancel

ontouchcancel: function | null

Inherited from GlobalEventHandlers.ontouchcancel

Overrides GlobalEventHandlers.ontouchcancel

### ontouchend

ontouchend: function | null

Inherited from GlobalEventHandlers.ontouchend

Overrides GlobalEventHandlers.ontouchend

### ontouchmove

ontouchmove: function | null

Inherited from GlobalEventHandlers.ontouchmove

Overrides GlobalEventHandlers.ontouchmove

### ontouchstart

ontouchstart: function | null

Inherited from GlobalEventHandlers.ontouchstart

Overrides GlobalEventHandlers.ontouchstart

### ontransitioncancel

ontransitioncancel: function | null

Inherited from GlobalEventHandlers.ontransitioncancel

Overrides GlobalEventHandlers.ontransitioncancel

### ontransitionend

ontransitionend: function | null

Inherited from GlobalEventHandlers.ontransitionend

Overrides GlobalEventHandlers.ontransitionend

### ontransitionrun

ontransitionrun: function | null

Inherited from GlobalEventHandlers.ontransitionrun

Overrides GlobalEventHandlers.ontransitionrun

### ontransitionstart

ontransitionstart: function | null

Inherited from GlobalEventHandlers.ontransitionstart

Overrides GlobalEventHandlers.ontransitionstart

### onvolumechange

onvolumechange: function | null

Inherited from HTMLElement.onvolumechange

### onwaiting

onwaiting: function | null

Inherited from HTMLElement.onwaiting

### onwebkitfullscreenchange

onwebkitfullscreenchange: function | null

Inherited from Element.onwebkitfullscreenchange

Overrides Element.onwebkitfullscreenchange

### onwebkitfullscreenerror

onwebkitfullscreenerror: function | null

Inherited from Element.onwebkitfullscreenerror

Overrides Element.onwebkitfullscreenerror

### onwheel

onwheel: function | null

Inherited from GlobalEventHandlers.onwheel

Overrides GlobalEventHandlers.onwheel

### outerHTML

outerHTML: string

Inherited from Element.outerHTML

Overrides Element.outerHTML

### outerText

outerText: string

Inherited from HTMLElement.outerText

### ownerDocument

ownerDocument: Document

Inherited from Node.ownerDocument

Overrides Node.ownerDocument

### parentElement

parentElement: HTMLElement | null

Inherited from Node.parentElement

Overrides Node.parentElement

### parentNode

parentNode: Node | null

Inherited from Node.parentNode

Overrides Node.parentNode

### prefix

prefix: string | null

Inherited from Element.prefix

Overrides Element.prefix

### previousElementSibling

previousElementSibling: Element | null

Inherited from ElementTraversal.previousElementSibling

Overrides ElementTraversal.previousElementSibling

### previousSibling

previousSibling: Node | null

Inherited from Node.previousSibling

Overrides Node.previousSibling

### scrollHeight

scrollHeight: number

Inherited from Element.scrollHeight

Overrides Element.scrollHeight

### scrollLeft

scrollLeft: number

Inherited from Element.scrollLeft

Overrides Element.scrollLeft

### scrollTop

scrollTop: number

Inherited from Element.scrollTop

Overrides Element.scrollTop

### scrollWidth

scrollWidth: number

Inherited from Element.scrollWidth

Overrides Element.scrollWidth

### shadowRoot

shadowRoot: ShadowRoot | null

Inherited from Element.shadowRoot

Overrides Element.shadowRoot

### slot

slot: string

Inherited from Element.slot

Overrides Element.slot

### spellcheck

spellcheck: boolean

Inherited from HTMLElement.spellcheck

### style

style: CSSStyleDeclaration

Inherited from ElementCSSInlineStyle.style

### tabIndex

tabIndex: number

Inherited from HTMLElement.tabIndex

### tagName

tagName: string

Inherited from Element.tagName

Overrides Element.tagName

### textContent

textContent: string | null

Inherited from Node.textContent

Overrides Node.textContent

### title

title: string

Inherited from HTMLElement.title

### Static HTMLElement

HTMLElement: object

#### Type declaration

- ##### constructor: function

  - new __type(): HTMLElement

  - #### Returns HTMLElement

- ##### prototype: HTMLElement

## Accessors

### store

- get store(): Store<JsonFormsState>
- set store(store: Store<JsonFormsState>): void

- - Defined in JsonFormsElement.tsx:124

  Set the store to be used by the element

  the store containing the jsonforms state and reducer

  #### Returns Store<JsonFormsState>

- - Defined in JsonFormsElement.tsx:101

  Set the store to be used by the element

  package

  #### Parameters

  - ##### store: Store<JsonFormsState>

    the store containing the jsonforms state and reducer

  #### Returns void

## Methods

### addEventListener

- addEventListener<K>(type: K, listener: function, options?: boolean | AddEventListenerOptions): void
- addEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | AddEventListenerOptions): void

- Inherited from HTMLElement.addEventListener

  Overrides Element.addEventListener

  #### Type parameters

  - #### K: keyof HTMLElementEventMap

  #### Parameters

  - ##### type: K

  - ##### listener: function

    - - (this: HTMLElement, ev: HTMLElementEventMap[K]): any

      - #### Parameters

        - ##### this: HTMLElement

        - ##### ev: HTMLElementEventMap[K]

        #### Returns any

  - ##### Optional options: boolean | AddEventListenerOptions

  #### Returns void

- Inherited from HTMLElement.addEventListener

  Overrides Element.addEventListener

  #### Parameters

  - ##### type: string

  - ##### listener: EventListenerOrEventListenerObject

  - ##### Optional options: boolean | AddEventListenerOptions

  #### Returns void

### animate

- animate(keyframes: Keyframe[] | PropertyIndexedKeyframes | null, options?: number | KeyframeAnimationOptions): Animation

- Inherited from Animatable.animate

  Overrides Animatable.animate

  #### Parameters

  - ##### keyframes: Keyframe[] | PropertyIndexedKeyframes | null

  - ##### Optional options: number | KeyframeAnimationOptions

  #### Returns Animation

### appendChild

- appendChild<T>(newChild: T): T

- Inherited from Node.appendChild

  Overrides Node.appendChild

  #### Type parameters

  - #### T: Node

  #### Parameters

  - ##### newChild: T

  #### Returns T

### attachShadow

- attachShadow(shadowRootInitDict: ShadowRootInit): ShadowRoot

- Inherited from Element.attachShadow

  Overrides Element.attachShadow

  #### Parameters

  - ##### shadowRootInitDict: ShadowRootInit

  #### Returns ShadowRoot

### blur

- blur(): void

- Inherited from HTMLElement.blur

  #### Returns void

### click

- click(): void

- Inherited from HTMLElement.click

  #### Returns void

### cloneNode

- cloneNode(deep?: boolean): Node

- Inherited from Node.cloneNode

  Overrides Node.cloneNode

  #### Parameters

  - ##### Optional deep: boolean

  #### Returns Node

### closest

- closest<K>(selector: K): HTMLElementTagNameMap[K] | null
- closest<K>(selector: K): SVGElementTagNameMap[K] | null
- closest(selector: string): Element | null

- Inherited from Element.closest

  Overrides Element.closest

  #### Type parameters

  - #### K: keyof HTMLElementTagNameMap

  #### Parameters

  - ##### selector: K

  #### Returns HTMLElementTagNameMap[K] | null

- Inherited from Element.closest

  Overrides Element.closest

  #### Type parameters

  - #### K: keyof SVGElementTagNameMap

  #### Parameters

  - ##### selector: K

  #### Returns SVGElementTagNameMap[K] | null

- Inherited from Element.closest

  Overrides Element.closest

  #### Parameters

  - ##### selector: string

  #### Returns Element | null

### compareDocumentPosition

- compareDocumentPosition(other: Node): number

- Inherited from Node.compareDocumentPosition

  Overrides Node.compareDocumentPosition

  #### Parameters

  - ##### other: Node

  #### Returns number

### connectedCallback

- connectedCallback(): void

- - Defined in JsonFormsElement.tsx:90

  Called when this element is inserted into a document.

  #### Returns void

### contains

- contains(child: Node): boolean

- Inherited from Node.contains

  Overrides Node.contains

  #### Parameters

  - ##### child: Node

  #### Returns boolean

### dispatchEvent

- dispatchEvent(evt: Event): boolean

- Inherited from EventTarget.dispatchEvent

  Overrides EventTarget.dispatchEvent

  #### Parameters

  - ##### evt: Event

  #### Returns boolean

### dragDrop

- dragDrop(): boolean

- Inherited from HTMLElement.dragDrop

  #### Returns boolean

### focus

- focus(): void

- Inherited from HTMLElement.focus

  #### Returns void

### getAnimations

- getAnimations(): Animation[]

- Inherited from Animatable.getAnimations

  Overrides Animatable.getAnimations

  #### Returns Animation[]

### getAttribute

- getAttribute(qualifiedName: string): string | null

- Inherited from Element.getAttribute

  Overrides Element.getAttribute

  #### Parameters

  - ##### qualifiedName: string

  #### Returns string | null

### getAttributeNS

- getAttributeNS(namespaceURI: string, localName: string): string

- Inherited from Element.getAttributeNS

  Overrides Element.getAttributeNS

  #### Parameters

  - ##### namespaceURI: string

  - ##### localName: string

  #### Returns string

### getAttributeNode

- getAttributeNode(name: string): Attr | null

- Inherited from Element.getAttributeNode

  Overrides Element.getAttributeNode

  #### Parameters

  - ##### name: string

  #### Returns Attr | null

### getAttributeNodeNS

- getAttributeNodeNS(namespaceURI: string, localName: string): Attr | null

- Inherited from Element.getAttributeNodeNS

  Overrides Element.getAttributeNodeNS

  #### Parameters

  - ##### namespaceURI: string

  - ##### localName: string

  #### Returns Attr | null

### getBoundingClientRect

- getBoundingClientRect(): ClientRect | DOMRect

- Inherited from Element.getBoundingClientRect

  Overrides Element.getBoundingClientRect

  #### Returns ClientRect | DOMRect

### getClientRects

- getClientRects(): ClientRectList | DOMRectList

- Inherited from Element.getClientRects

  Overrides Element.getClientRects

  #### Returns ClientRectList | DOMRectList

### getElementsByClassName

- getElementsByClassName(classNames: string): NodeListOf<Element>

- Inherited from Element.getElementsByClassName

  Overrides Element.getElementsByClassName

  #### Parameters

  - ##### classNames: string

  #### Returns NodeListOf<Element>

### getElementsByTagName

- getElementsByTagName<K>(name: K): NodeListOf<HTMLElementTagNameMap[K]>
- getElementsByTagName<K>(name: K): NodeListOf<SVGElementTagNameMap[K]>
- getElementsByTagName(name: string): NodeListOf<Element>

- Inherited from Element.getElementsByTagName

  Overrides Element.getElementsByTagName

  #### Type parameters

  - #### K: keyof HTMLElementTagNameMap

  #### Parameters

  - ##### name: K

  #### Returns NodeListOf<HTMLElementTagNameMap[K]>

- Inherited from Element.getElementsByTagName

  Overrides Element.getElementsByTagName

  #### Type parameters

  - #### K: keyof SVGElementTagNameMap

  #### Parameters

  - ##### name: K

  #### Returns NodeListOf<SVGElementTagNameMap[K]>

- Inherited from Element.getElementsByTagName

  Overrides Element.getElementsByTagName

  #### Parameters

  - ##### name: string

  #### Returns NodeListOf<Element>

### getElementsByTagNameNS

- getElementsByTagNameNS(namespaceURI: "http://www.w3.org/1999/xhtml", localName: string): HTMLCollectionOf<HTMLElement>
- getElementsByTagNameNS(namespaceURI: "http://www.w3.org/2000/svg", localName: string): HTMLCollectionOf<SVGElement>
- getElementsByTagNameNS(namespaceURI: string, localName: string): HTMLCollectionOf<Element>

- Inherited from Element.getElementsByTagNameNS

  Overrides Element.getElementsByTagNameNS

  #### Parameters

  - ##### namespaceURI: "http://www.w3.org/1999/xhtml"

  - ##### localName: string

  #### Returns HTMLCollectionOf<HTMLElement>

- Inherited from Element.getElementsByTagNameNS

  Overrides Element.getElementsByTagNameNS

  #### Parameters

  - ##### namespaceURI: "http://www.w3.org/2000/svg"

  - ##### localName: string

  #### Returns HTMLCollectionOf<SVGElement>

- Inherited from Element.getElementsByTagNameNS

  Overrides Element.getElementsByTagNameNS

  #### Parameters

  - ##### namespaceURI: string

  - ##### localName: string

  #### Returns HTMLCollectionOf<Element>

### hasAttribute

- hasAttribute(name: string): boolean

- Inherited from Element.hasAttribute

  Overrides Element.hasAttribute

  #### Parameters

  - ##### name: string

  #### Returns boolean

### hasAttributeNS

- hasAttributeNS(namespaceURI: string, localName: string): boolean

- Inherited from Element.hasAttributeNS

  Overrides Element.hasAttributeNS

  #### Parameters

  - ##### namespaceURI: string

  - ##### localName: string

  #### Returns boolean

### hasAttributes

- hasAttributes(): boolean

- Inherited from Element.hasAttributes

  Overrides Element.hasAttributes

  #### Returns boolean

### hasChildNodes

- hasChildNodes(): boolean

- Inherited from Node.hasChildNodes

  Overrides Node.hasChildNodes

  #### Returns boolean

### hasPointerCapture

- hasPointerCapture(pointerId: number): boolean

- Inherited from Element.hasPointerCapture

  Overrides Element.hasPointerCapture

  #### Parameters

  - ##### pointerId: number

  #### Returns boolean

### insertAdjacentElement

- insertAdjacentElement(position: InsertPosition, insertedElement: Element): Element | null

- Inherited from Element.insertAdjacentElement

  Overrides Element.insertAdjacentElement

  #### Parameters

  - ##### position: InsertPosition

  - ##### insertedElement: Element

  #### Returns Element | null

### insertAdjacentHTML

- insertAdjacentHTML(where: InsertPosition, html: string): void

- Inherited from Element.insertAdjacentHTML

  Overrides Element.insertAdjacentHTML

  #### Parameters

  - ##### where: InsertPosition

  - ##### html: string

  #### Returns void

### insertAdjacentText

- insertAdjacentText(where: InsertPosition, text: string): void

- Inherited from Element.insertAdjacentText

  Overrides Element.insertAdjacentText

  #### Parameters

  - ##### where: InsertPosition

  - ##### text: string

  #### Returns void

### insertBefore

- insertBefore<T>(newChild: T, refChild: Node | null): T

- Inherited from Node.insertBefore

  Overrides Node.insertBefore

  #### Type parameters

  - #### T: Node

  #### Parameters

  - ##### newChild: T

  - ##### refChild: Node | null

  #### Returns T

### isDefaultNamespace

- isDefaultNamespace(namespaceURI: string | null): boolean

- Inherited from Node.isDefaultNamespace

  Overrides Node.isDefaultNamespace

  #### Parameters

  - ##### namespaceURI: string | null

  #### Returns boolean

### isEqualNode

- isEqualNode(arg: Node): boolean

- Inherited from Node.isEqualNode

  Overrides Node.isEqualNode

  #### Parameters

  - ##### arg: Node

  #### Returns boolean

### isSameNode

- isSameNode(other: Node): boolean

- Inherited from Node.isSameNode

  Overrides Node.isSameNode

  #### Parameters

  - ##### other: Node

  #### Returns boolean

### lookupNamespaceURI

- lookupNamespaceURI(prefix: string | null): string | null

- Inherited from Node.lookupNamespaceURI

  Overrides Node.lookupNamespaceURI

  #### Parameters

  - ##### prefix: string | null

  #### Returns string | null

### lookupPrefix

- lookupPrefix(namespaceURI: string | null): string | null

- Inherited from Node.lookupPrefix

  Overrides Node.lookupPrefix

  #### Parameters

  - ##### namespaceURI: string | null

  #### Returns string | null

### matches

- matches(selectors: string): boolean

- Inherited from Element.matches

  Overrides Element.matches

  #### Parameters

  - ##### selectors: string

  #### Returns boolean

### msGetInputContext

- msGetInputContext(): MSInputMethodContext

- Inherited from HTMLElement.msGetInputContext

  #### Returns MSInputMethodContext

### msGetRegionContent

- msGetRegionContent(): any

- Inherited from Element.msGetRegionContent

  Overrides Element.msGetRegionContent

  #### Returns any

### msGetUntransformedBounds

- msGetUntransformedBounds(): ClientRect

- Inherited from Element.msGetUntransformedBounds

  Overrides Element.msGetUntransformedBounds

  #### Returns ClientRect

### msMatchesSelector

- msMatchesSelector(selectors: string): boolean

- Inherited from Element.msMatchesSelector

  Overrides Element.msMatchesSelector

  #### Parameters

  - ##### selectors: string

  #### Returns boolean

### msReleasePointerCapture

- msReleasePointerCapture(pointerId: number): void

- Inherited from Element.msReleasePointerCapture

  Overrides Element.msReleasePointerCapture

  #### Parameters

  - ##### pointerId: number

  #### Returns void

### msSetPointerCapture

- msSetPointerCapture(pointerId: number): void

- Inherited from Element.msSetPointerCapture

  Overrides Element.msSetPointerCapture

  #### Parameters

  - ##### pointerId: number

  #### Returns void

### msZoomTo

- msZoomTo(args: MsZoomToOptions): void

- Inherited from Element.msZoomTo

  Overrides Element.msZoomTo

  #### Parameters

  - ##### args: MsZoomToOptions

  #### Returns void

### normalize

- normalize(): void

- Inherited from Node.normalize

  Overrides Node.normalize

  #### Returns void

### querySelector

- querySelector<K>(selectors: K): HTMLElementTagNameMap[K] | null
- querySelector<K>(selectors: K): SVGElementTagNameMap[K] | null
- querySelector<E>(selectors: string): E | null

- Inherited from ParentNode.querySelector

  Overrides ParentNode.querySelector

  #### Type parameters

  - #### K: keyof HTMLElementTagNameMap

  #### Parameters

  - ##### selectors: K

  #### Returns HTMLElementTagNameMap[K] | null

- Inherited from ParentNode.querySelector

  Overrides ParentNode.querySelector

  #### Type parameters

  - #### K: keyof SVGElementTagNameMap

  #### Parameters

  - ##### selectors: K

  #### Returns SVGElementTagNameMap[K] | null

- Inherited from ParentNode.querySelector

  Overrides ParentNode.querySelector

  #### Type parameters

  - #### E: Element

  #### Parameters

  - ##### selectors: string

  #### Returns E | null

### querySelectorAll

- querySelectorAll<K>(selectors: K): NodeListOf<HTMLElementTagNameMap[K]>
- querySelectorAll<K>(selectors: K): NodeListOf<SVGElementTagNameMap[K]>
- querySelectorAll<E>(selectors: string): NodeListOf<E>

- Inherited from ParentNode.querySelectorAll

  Overrides ParentNode.querySelectorAll

  #### Type parameters

  - #### K: keyof HTMLElementTagNameMap

  #### Parameters

  - ##### selectors: K

  #### Returns NodeListOf<HTMLElementTagNameMap[K]>

- Inherited from ParentNode.querySelectorAll

  Overrides ParentNode.querySelectorAll

  #### Type parameters

  - #### K: keyof SVGElementTagNameMap

  #### Parameters

  - ##### selectors: K

  #### Returns NodeListOf<SVGElementTagNameMap[K]>

- Inherited from ParentNode.querySelectorAll

  Overrides ParentNode.querySelectorAll

  #### Type parameters

  - #### E: Element

  #### Parameters

  - ##### selectors: string

  #### Returns NodeListOf<E>

### releasePointerCapture

- releasePointerCapture(pointerId: number): void

- Inherited from Element.releasePointerCapture

  Overrides Element.releasePointerCapture

  #### Parameters

  - ##### pointerId: number

  #### Returns void

### remove

- remove(): void

- Inherited from ChildNode.remove

  Overrides ChildNode.remove

  #### Returns void

### removeAttribute

- removeAttribute(qualifiedName: string): void

- Inherited from Element.removeAttribute

  Overrides Element.removeAttribute

  #### Parameters

  - ##### qualifiedName: string

  #### Returns void

### removeAttributeNS

- removeAttributeNS(namespaceURI: string, localName: string): void

- Inherited from Element.removeAttributeNS

  Overrides Element.removeAttributeNS

  #### Parameters

  - ##### namespaceURI: string

  - ##### localName: string

  #### Returns void

### removeAttributeNode

- removeAttributeNode(oldAttr: Attr): Attr

- Inherited from Element.removeAttributeNode

  Overrides Element.removeAttributeNode

  #### Parameters

  - ##### oldAttr: Attr

  #### Returns Attr

### removeChild

- removeChild<T>(oldChild: T): T

- Inherited from Node.removeChild

  Overrides Node.removeChild

  #### Type parameters

  - #### T: Node

  #### Parameters

  - ##### oldChild: T

  #### Returns T

### removeEventListener

- removeEventListener<K>(type: K, listener: function, options?: boolean | EventListenerOptions): void
- removeEventListener(type: string, listener: EventListenerOrEventListenerObject, options?: boolean | EventListenerOptions): void

- Inherited from HTMLElement.removeEventListener

  Overrides Element.removeEventListener

  #### Type parameters

  - #### K: keyof HTMLElementEventMap

  #### Parameters

  - ##### type: K

  - ##### listener: function

    - - (this: HTMLElement, ev: HTMLElementEventMap[K]): any

      - #### Parameters

        - ##### this: HTMLElement

        - ##### ev: HTMLElementEventMap[K]

        #### Returns any

  - ##### Optional options: boolean | EventListenerOptions

  #### Returns void

- Inherited from HTMLElement.removeEventListener

  Overrides Element.removeEventListener

  #### Parameters

  - ##### type: string

  - ##### listener: EventListenerOrEventListenerObject

  - ##### Optional options: boolean | EventListenerOptions

  #### Returns void

### Private render

- render(): void

- - Defined in JsonFormsElement.tsx:140

  #### Returns void

### replaceChild

- replaceChild<T>(newChild: Node, oldChild: T): T

- Inherited from Node.replaceChild

  Overrides Node.replaceChild

  #### Type parameters

  - #### T: Node

  #### Parameters

  - ##### newChild: Node

  - ##### oldChild: T

  #### Returns T

### requestFullscreen

- requestFullscreen(): void

- Inherited from Element.requestFullscreen

  Overrides Element.requestFullscreen

  #### Returns void

### requestPointerLock

- requestPointerLock(): void

- Inherited from Element.requestPointerLock

  Overrides Element.requestPointerLock

  #### Returns void

### scroll

- scroll(options?: ScrollToOptions): void
- scroll(x: number, y: number): void

- Inherited from Element.scroll

  Overrides Element.scroll

  #### Parameters

  - ##### Optional options: ScrollToOptions

  #### Returns void

- Inherited from Element.scroll

  Overrides Element.scroll

  #### Parameters

  - ##### x: number

  - ##### y: number

  #### Returns void

### scrollBy

- scrollBy(options?: ScrollToOptions): void
- scrollBy(x: number, y: number): void

- Inherited from Element.scrollBy

  Overrides Element.scrollBy

  #### Parameters

  - ##### Optional options: ScrollToOptions

  #### Returns void

- Inherited from Element.scrollBy

  Overrides Element.scrollBy

  #### Parameters

  - ##### x: number

  - ##### y: number

  #### Returns void

### scrollIntoView

- scrollIntoView(arg?: boolean | ScrollIntoViewOptions): void

- Inherited from Element.scrollIntoView

  Overrides Element.scrollIntoView

  #### Parameters

  - ##### Optional arg: boolean | ScrollIntoViewOptions

  #### Returns void

### scrollTo

- scrollTo(options?: ScrollToOptions): void
- scrollTo(x: number, y: number): void

- Inherited from Element.scrollTo

  Overrides Element.scrollTo

  #### Parameters

  - ##### Optional options: ScrollToOptions

  #### Returns void

- Inherited from Element.scrollTo

  Overrides Element.scrollTo

  #### Parameters

  - ##### x: number

  - ##### y: number

  #### Returns void

### setAttribute

- setAttribute(qualifiedName: string, value: string): void

- Inherited from Element.setAttribute

  Overrides Element.setAttribute

  #### Parameters

  - ##### qualifiedName: string

  - ##### value: string

  #### Returns void

### setAttributeNS

- setAttributeNS(namespaceURI: string, qualifiedName: string, value: string): void

- Inherited from Element.setAttributeNS

  Overrides Element.setAttributeNS

  #### Parameters

  - ##### namespaceURI: string

  - ##### qualifiedName: string

  - ##### value: string

  #### Returns void

### setAttributeNode

- setAttributeNode(newAttr: Attr): Attr

- Inherited from Element.setAttributeNode

  Overrides Element.setAttributeNode

  #### Parameters

  - ##### newAttr: Attr

  #### Returns Attr

### setAttributeNodeNS

- setAttributeNodeNS(newAttr: Attr): Attr

- Inherited from Element.setAttributeNodeNS

  Overrides Element.setAttributeNodeNS

  #### Parameters

  - ##### newAttr: Attr

  #### Returns Attr

### setInnerComponent

- setInnerComponent(InnerComponent: any, parameters?: object): void

- - Defined in JsonFormsElement.tsx:135

  Set the inner component used by this json forms element. By default the JsonForms component is used.

  #### Parameters

  - ##### InnerComponent: any

    The component to use instead of JsonForms

  - ##### Default value parameters: object = {}

    The parameters used when instantiating the given component

  #### Returns void

### setPointerCapture

- setPointerCapture(pointerId: number): void

- Inherited from Element.setPointerCapture

  Overrides Element.setPointerCapture

  #### Parameters

  - ##### pointerId: number

  #### Returns void

### webkitMatchesSelector

- webkitMatchesSelector(selectors: string): boolean

- Inherited from Element.webkitMatchesSelector

  Overrides Element.webkitMatchesSelector

  #### Parameters

  - ##### selectors: string

  #### Returns boolean

### webkitRequestFullScreen

- webkitRequestFullScreen(): void

- Inherited from Element.webkitRequestFullScreen

  Overrides Element.webkitRequestFullScreen

  #### Returns void

### webkitRequestFullscreen

- webkitRequestFullscreen(): void

- Inherited from Element.webkitRequestFullscreen

  Overrides Element.webkitRequestFullscreen

  #### Returns void

Generated using TypeDoc